Bug 67740 - no igmp leave message is sent when setsockopt is called with IP_DROP_MEMBERSHIP
Summary: no igmp leave message is sent when setsockopt is called with IP_DROP_MEMBERSHIP
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-01 12:36 UTC by Frederic Heem
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:39:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frederic Heem 2002-07-01 12:36:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020204

Description of problem:
When setsockopt is called with IP_DROP_MEMBERSHIP, it should send an igmp leave
message to the router group (224.0.0.2) but it doesn't.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run ntpd with multicast enabled
2.start a network analyser (e.g: ethereal) and filter on the router group
multicast address 224.0.0.2
3.type "service ntpd stop"

	

Actual Results:  nothing

Expected Results:  it should send an igmp leave message

Additional info:

Comment 1 Frederic Heem 2002-07-01 12:38:25 UTC
Not sure whether it's a libc or kernel bug

Comment 2 Jakub Jelinek 2002-07-01 12:39:46 UTC
Nothing to do with glibc, it passes setsockopt stright to the kernel.

Comment 3 Frederic Heem 2002-07-01 12:41:36 UTC
This bug doesn't exist on a standard mandrake 8.2 with a kernel 2.4.18 and glic
2.2.4

Comment 4 Frederic Heem 2002-07-01 12:44:31 UTC
setsockopt is part of libc, so this problem may be due to glibc

Comment 5 Ulrich Drepper 2003-04-22 04:57:31 UTC
This has nothing to do with glibc.  setsockopt is a simple syscall wrapper.

Comment 6 Bugzilla owner 2004-09-30 15:39:43 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.